const mongoose = require("mongoose");
const Schema = mongoose.Schema;

const ProvidertypeSchema = new Schema(
  {
    id: {
      type: Number,
    },
    prov_type_code: {
      type: String,
      required: true,
    },
	prov_type_name: {
      type: String,
    },
	treatment_mode: {
      type: String,
    },
	visible: {
      type: String,
    },
	status: {
      type: String,
    },
	home_visit_flag: {
      type: String,
    },
  },
  { timestamps: true }
);

module.exports = mongoose.model("Providertype", ProvidertypeSchema);
